# How It's Project Work
https://www.c-sharpcorner.com/article/push-notification-from-c-sharp-net-to-android-using-fcm-http-v1/

https://firebase.google.com/docs/cloud-messaging/auth-server

We are useing new url POST https://fcm.googleapis.com/v1/projects/myproject-b5ae1/messages:send

Add SenderId and ServerKey in FcmNotification into appsettings.json 
SenderId and ServerKey copy from cloud messaging tab in firebase project

for configure new Url we have to create and download json file from services account settings

after download json file from service accound firebase you have to add file in Environment 
 export GOOGLE_APPLICATION_CREDENTIALS="/home/user/Downloads/web-nofitication-firebase-adminsdk-sxnof-92d5243f2e.json"
 (web-nofitication-firebase-adminsdk-sxnof-92d5243f2e.json) is your downloaded json file name and location
 export Environment variable in terminal and after copy that file to project directory
 
generate bearertoken into Notification service file.